diff -u chrony-1.24/debian/changelog chrony-1.24/debian/changelog
--- chrony-1.24/debian/changelog
+++ chrony-1.24/debian/changelog
@@ -1,3 +1,15 @@
+chrony (1.24-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add patch (directly over the source...), to work with kernels > 3.0.0,
+    by Paul Martin at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628919#15.
+    (Closes: #628919)
+  * Fix readline build-depends from "libreadline5-dev | libreadline-dev" to
+    libreadline-gplv2-dev because chrony is GPLv2 only.  (Closes: #634447)
+  * Update copyright file to say that chrony is GPLv2 only. (Closes: #637526)
+
+ -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 12 Aug 2011 12:32:26 +0200
+
 chrony (1.24-3) unstable; urgency=high
 
   * Applied (modifed) patch from Gregor Herrmann.
diff -u chrony-1.24/debian/control chrony-1.24/debian/control
--- chrony-1.24/debian/control
+++ chrony-1.24/debian/control
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: John G. Hasler <jhasler@debian.org>
 Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 7), libreadline5-dev | libreadline-dev, texinfo, bison
+Build-Depends: debhelper (>= 7), texinfo, libreadline-gplv2-dev, bison
 
 Package: chrony
 Architecture: any
diff -u chrony-1.24/debian/copyright chrony-1.24/debian/copyright
--- chrony-1.24/debian/copyright
+++ chrony-1.24/debian/copyright
@@ -4,7 +4,7 @@
 
 Author(s): Richard Curnow <rc@rc0.org.uk>
 
-License: GNU General Public License (GPL)
+License: GNU General Public License v2 (GPL)
 
 Program Copyright (C) 1998-2003 Richard Curnow
 Modifications for Debian Copyright (C) 2000-2003 John Hasler
@@ -13,8 +13,7 @@
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2, or (at your option)
-any later version.
+the Free Software Foundation; version 2 of the License.
 
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -28,0 +28,4 @@
+
+On Debian systems, the complete text of the GNU General Public
+License, version 2, can be found in /usr/share/common-licenses/GPL-2.
+
only in patch2:
unchanged:
--- chrony-1.24.orig/sys_linux.c
+++ chrony-1.24/sys_linux.c
@@ -819,6 +819,11 @@
           LOG_FATAL(LOGF_SysLinux, "Kernel version not supported yet, sorry.");
       }
       break;
+    case 3:
+      /* These don't need scaling (treat like 2.6.28 and later) */
+      freq_scale = 1.0;
+      have_readonly_adjtime = 2;
+      break;
     default:
       LOG_FATAL(LOGF_SysLinux, "Kernel's major version not supported yet, sorry");
       break;
